Bug 1007442 - Drush home directory owned by root and thus not writable by users
Drush home directory owned by root and thus not writable by users
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vojtech Vitek
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 09:44 EDT by Vojtech Vitek
Modified: 2015-05-14 19:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:51:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vojtech Vitek 2013-09-12 09:44:15 EDT
Created as of Chunyun Chen's comment at https://trello.com/c/Wvww2mJd.

Description of problem:
The content of the ~/.drush/ gear directory should not be locked (and thus owned by root) but it should be writable to users.

Steps to Reproduce:
1. rhc app create php php-5.3
2. rhc ssh php
3. touch ~/.drush/testfile

Actual results:
touch: cannot touch `.drush/testfile': Permission denied

Expected results:
success
Comment 1 Vojtech Vitek 2013-09-12 10:09:23 EDT
https://github.com/openshift/origin-server/pull/3627
Comment 2 chunchen 2013-09-12 22:21:21 EDT
It's fixed, verified on devenv_stage_471, please refer to the following results:

1. rhc app create php php-5.3
2. rhc ssh php
3. touch ~/.drush/testf
4. check creating result
\> ls .drush
testfile

Note You need to log in before you can comment on or make changes to this bug.